Skip to content

getDocument

READ

Get document.

POST /api/v1/documents/getDocument
curl -X POST '<your-host>/api/v1/documents/getDocument' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "documentId": "string"
  }'
Response
{
  "active": true,
  "companyId": "string",
  "createdAt": "string",
  "createdBy": "string",
  "description": "string",
  "extension": "string",
  "favorite": true,
  "id": "string",
  "labels": [
    "string"
  ],
  "lastActivityAt": "string",
  "name": "string",
  "path": "string",
  "readGroups": [
    "string"
  ],
  "size": 0,
  "sourceDocument": "Sales Invoice",
  "sourceDocumentId": "string",
  "type": "Other",
  "updatedAt": "string",
  "updatedBy": "string",
  "writeGroups": [
    "string"
  ]
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "documentId": {
      "type": "string"
    }
  },
  "required": [
    "documentId"
  ]
}